﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.Themes;

namespace XamRibbonWindowTester
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : XamRibbonWindow
	{
		private ResourceDictionary _lastAddedDictionary;

		public Window1()
		{
			InitializeComponent();

			this.cboThemes.Items.Add(ThemeManager.ThemeDefaultLiteral);
			foreach (string theme in ThemeManager.GetThemes())
			{
				this.cboThemes.Items.Add(theme);
			}
		}

		private void cboThemes_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			string theme = ((ComboBox)sender).SelectedItem as string;

			ResourceDictionary themeDictionary = ThemeManager.GetResourceSet(theme, "Ribbon") ?? new ResourceDictionary();

			if (this._lastAddedDictionary == null)
			{
				this._lastAddedDictionary = new ResourceDictionary();
				this._lastAddedDictionary.MergedDictionaries.Add(themeDictionary);
				this.Resources.MergedDictionaries.Add(this._lastAddedDictionary);
			}
			else
			{
				this._lastAddedDictionary.MergedDictionaries[0] = themeDictionary;
			}
		}
	}
}
